Bug 917160 - Xorg Crash when starting Anaconda
Xorg Crash when starting Anaconda
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-01 16:17 EST by timbrammer910
Modified: 2014-02-05 14:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 14:34:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description timbrammer910 2013-03-01 16:17:27 EST
Description of problem:

All,

I've pungi'd a custom Fedora 18 install DVD that can't seem to start anaconda correctly. I get to "Starting installer, one moment..." then "anaconda 18.37.11 for Fedora 18 started." Instead of starting, the install will at this point either dump me to a shell or a blinking cursor seemingly at random. Checking /tmp/anaconda.log showed the culprit was X failing to start, so I checked out /tmp/X.log and found the following:

Fatal server error:
[     156.703] xf86OpenConsole: VT_WAITACTIVE failed: Input/output error

OR

Fatal server error:
[     156.703] xf86OpenConsole: KDSKBMODE K_RAW failed: Input/output error

OR

Fatal server error:
[     156.703] xf86OpenConsole: VT_GETMODE failed: Input/output error

Its one of these or the other each time, with no real rhyme or reason between which of the two it is. Where things get really strange is what happens when I run

# anaconda

from the shell after that. It loads without a hitch. Things of note: I'm doing this install from an iso in VirtualBox on a Windows 7 host. I have tried to re-pungi the iso and burn it for a physical install, but the result was similar. X fails, but keyboard input was disabled, so I couldn't get to the shell to verify. I believe that had to do with the KBMODE error above. I've also tried passing a few parameters during boot: xdriver=vesa no modeset and the like to no avail.

I'm completely stumped. 


Version-Release number of selected component (if applicable):

anaconda 18.37.11
xorg 1.13.2
kernel 3.7.9-205

Steps to Reproduce:
1. Install Fedora 18
2. yum install pungi
3. yum update
4. pungi -c myks.ks
5. boot iso in VirtualBox/burn and boot on Shuttle X50V2
  
Actual results:

Starting Installer
Anaconda 18.37.11 Started
Dumped to terminal

Expected results:

Start Anaconda/Lorax

Additional info:
Will provide full pungi ks and any logs if necessary, not sure which are completely relevant.
Comment 1 Hedayat Vatankhah 2013-03-09 09:14:52 EST
I have the same problem running a custom DVD spin.
Comment 2 timbrammer910 2013-03-26 16:25:53 EDT
Any update on this? Can I at least get confirmation that its a bug and not user error?
Comment 3 Hedayat Vatankhah 2013-03-26 17:01:37 EDT
It should not be a user bug. I'm constantly creating new DVD images hoping that new updates will fix the problem, but they don't. 
Instead, I built an image with all updates repositories disabled and using Fedora release repositories. The installer boots without any problems. 

The problem is probably unrelated to anaconda, since the same anaconda works fine if no other updated packages are used. It should be also unrelated to kernel, since I built images with stock Fedora 18 kernel and it didn't fix the problem too. Same experiment with systemd with no benefit. I'm creating a new image by excluding all xorg* and mesa* updates to see if it works.
Comment 4 timbrammer910 2013-03-26 17:11:33 EDT
Hedayat,

I've had moderate success doing the same thing, but I desperately need an updated version of the installer to address many of the storage configuration issues floating around. Seems I'm just going to have to stick with F17 and hope that by the time F19 rolls around most of these installation issues are fixed.

Thanks for the update. Glad to see I'm not alone.
Comment 5 Hedayat Vatankhah 2013-03-27 02:19:36 EDT
I wonder if there are any updates which will fix your problems. But you can create a local repo from the updated packages you want and create an image. I've created an image with Anaconda 18.37.12 and it worked fine.
Comment 6 Ken Neiser 2013-05-16 10:36:48 EDT
(In reply to comment #5)
> I wonder if there are any updates which will fix your problems. But you can
> create a local repo from the updated packages you want and create an image.
> I've created an image with Anaconda 18.37.12 and it worked fine.

I tried doing a build using "Anaconda 18.37.12" and it did not work out. Can you provide the steps that you used to produce a successful build please? I think at the moment a lot of us would appreciate some guidance in this matter.
Comment 7 Hedayat Vatankhah 2013-05-16 13:50:22 EDT
Let me clarify: I was not able to create a fully updated install image, and I gave up at the end and decided to create my custom spin from release repos (excluding update repos). 

But, my comment #5 refers to creating an spin from the release repos plus a local repository containing selected updated packages(like Anaconda 18.37.12). So, if you want you can put anaconda-18.37.12 rpm (and some other updated packages and their dependencies, if they don't break the boot of the image) in a directory, create a local repo using createrepo command and then add your local repository to the list of repositories in your kickstart file. Notice that you should disable Fedora update repositories, so that it will only pick updated packages in your local repo and not any other updates.
Comment 8 Ken Neiser 2013-05-16 13:59:47 EDT
(In reply to comment #7)
> Let me clarify: I was not able to create a fully updated install image, and
> I gave up at the end and decided to create my custom spin from release repos
> (excluding update repos). 
> 
> But, my comment #5 refers to creating an spin from the release repos plus a
> local repository containing selected updated packages(like Anaconda
> 18.37.12). So, if you want you can put anaconda-18.37.12 rpm (and some other
> updated packages and their dependencies, if they don't break the boot of the
> image) in a directory, create a local repo using createrepo command and then
> add your local repository to the list of repositories in your kickstart
> file. Notice that you should disable Fedora update repositories, so that it
> will only pick updated packages in your local repo and not any other updates.

Thank you for your quick reply! I pretty much did something similar to what you suggested but I ran in to a situation where pungi complained about anaconda dependencies and ended with a comment stating to report it as a bug problem. I checked and installed the dependencies but still ended with a dependencies error. Would you happen to know what the required dependencies are so that I can look to see if they were installed? I am at the point so far in rebuilding my "build" machine anyway.
Comment 9 Hedayat Vatankhah 2013-05-16 14:59:46 EDT
:)
I checked my anaconda test repo, and it only contains anaconda and anaconda-widget packages. I wonder why you have problems.
Comment 10 Ken Neiser 2013-05-16 15:11:34 EDT
(In reply to comment #9)
> :)
> I checked my anaconda test repo, and it only contains anaconda and
> anaconda-widget packages. I wonder why you have problems.

Hhmmm. Ok so what think I am going to do at this point is rebuild my build machine and try it again. Did you find that you were able to do successful F18 builds with just the rpms from the full F18 DVD packages (excluding updates) or would it be better to populate the local repo with rpms from the "Everything" F18 repository? Since I have to do a rebuild anyway. I want to avoid any unhappy paths I have encountered to date.
Comment 11 Hedayat Vatankhah 2013-05-16 16:50:14 EDT
I successfully built a custom spin enabling F18 full repo (everything repo) and only adding updated anaconda/anaconda-widgets packages in my local repo (no need to create local repo from everything repo). The result was successfully booted and it was using the new anaconda (BTW, IIRC according to its changelog, the update doesn't have any significant changes).
Comment 12 Jos Vos 2013-06-01 04:29:40 EDT
Does there exist a proven recipe to make a custom spin using the F18 release *and* updates repos and maybe excluding some packages from updates and/or adding some extra packages?  I need to build a DVD image for a specific purpose that does include most updates.

F17 custom spins were not working during the F17 life cycle for some reasons (at least for a long period) and now we're facing new problems with F18.  This bug is 3 months old, it would be nice to have either a fix or a workaround.

From all the comments above, it looks like the problem is not yet identified: is it X or some X library, as it is suggested that anaconda is not the problem?
Comment 13 Ken Neiser 2013-06-01 09:44:35 EDT
(In reply to Hedayat Vatankhah from comment #11)
> I successfully built a custom spin enabling F18 full repo (everything repo)
> and only adding updated anaconda/anaconda-widgets packages in my local repo
> (no need to create local repo from everything repo). The result was
> successfully booted and it was using the new anaconda (BTW, IIRC according
> to its changelog, the update doesn't have any significant changes).

I rebuilt my build machine and did add the two anaconda packages as you suggested. I still have a problem. When the built DVD goes through it's run motions I see the anaconda 18.37.12 run then the screen blanks to black with cursor in the upper left corner of the screen. Nothing further happens after that. Is it possible for you to provide some steps that you go through in the building of your F18 spin? I am not sure at the moment, maybe I am doing something wrong in the build process? Pungi command line options? Some entry(s) in my kickstart? Judging my previous posts and items I am finding from searching you are one of the few who are successful at building an F18 install disc.

BTW thanks in advance!
Comment 14 Hedayat Vatankhah 2013-06-04 06:40:50 EDT
No, I didn't used any special command line options for pungi. For kickstart files, you can find the kickstarts I used in this repo:

http://parsidora.git.sourceforge.net/git/gitweb.cgi?p=parsidora/kicks.git;a=tree
Comment 15 Fedora End Of Life 2013-12-21 06:48:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 14:34:52 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.